wxWidgets: wxZipClassFactory Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
wxZipClassFactory Class Reference
Archive support | Streams

`#include <wx/zipstrm.h>`

Inheritance diagram for wxZipClassFactory:
[legend]

## Detailed Description

Class factory for the zip archive format.

See the base class for details.

##

Library: wxBase
Category: Archive support, Streams

See Also
  Archive Formats, Generic Archive Programming, wxZipEntry, wxZipInputStream, wxZipOutputStream

## Additional Inherited Members
Public Member Functions inherited from wxArchiveClassFactory
bool | CanHandle (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL) const
| Returns true if this factory can handle the given protocol, MIME type or file extension.
wxMBConv & | GetConv () const
| Returns the wxMBConv object that the created streams will use when translating meta-data.
void | SetConv (wxMBConv &conv)
| Sets the wxMBConv object that the created streams will use when translating meta-data.
virtual wxString | GetInternalName (const wxString &name, wxPathFormat format=wxPATH_NATIVE) const =0
| Calls the static GetInternalName() function for the archive entry type, for example wxZipEntry::GetInternalName.
wxString | GetProtocol () const
| Returns the wxFileSystem protocol supported by this factory.
virtual const wxChar ** | GetProtocols (wxStreamProtocolType type=wxSTREAM_PROTOCOL) const =0
| Returns the protocols, MIME types or file extensions supported by this factory, as an array of null terminated strings.
wxArchiveEntry * | NewEntry () const
| Create a new wxArchiveEntry object of the appropriate type.
void | PushFront ()
| Adds this class factory to the list returned by GetFirst() or GetNext().
void | Remove ()
| Removes this class factory from the list returned by GetFirst() and GetNext().
wxArchiveInputStream * | NewStream (wxInputStream &stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveOutputStream * | NewStream (wxOutputStream &stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveInputStream * | NewStream (wxInputStream *stream) const
| Create a new input or output stream to read or write an archive.
wxArchiveOutputStream * | NewStream (wxOutputStream *stream) const
| Create a new input or output stream to read or write an archive.
const wxArchiveClassFactory * | GetNext () const
| GetFirst and GetNext can be used to enumerate the available factories.
Static Public Member Functions inherited from wxArchiveClassFactory
static const wxArchiveClassFactory * | Find (const wxString &protocol, wxStreamProtocolType type=wxSTREAM_PROTOCOL)
| A static member that finds a factory that can handle a given protocol, MIME type or file extension.
static const wxArchiveClassFactory * | GetFirst ()
| GetFirst and GetNext can be used to enumerate the available factories.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.